ジョブ
ジョブの結果を取得
完了後に結果を取得します。未完了は job_not_completed、失敗は job_failed、取消済みは job_canceled として 409 を返します。
GET
/v1/creative/jobs/{id}/result
curl --request GET 'https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY"{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "COMPLETED", "result": { "artifacts": [ { "id": "artf_6f1d0c2b9a8e4f7d", "type": "image", "url": "https://media.orchestor.io/artifacts/artf_6f1d0c2b9a8e4f7d/image.png", "content_type": "image/png", "size_bytes": 482113, "width": 1024, "height": 1024, "duration_ms": null } ] }, "linked_resource": null, "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "image_generation", "status": "completed", "model": "gpt-image-2", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": "2026-11-06T00:00:00Z", "completed_at": "2026-11-06T00:00:00Z", "canceled_at": null, "result": { "artifacts": [ { "id": "artf_6f1d0c2b9a8e4f7d", "type": "image", "url": "https://media.orchestor.io/artifacts/artf_6f1d0c2b9a8e4f7d/image.png", "content_type": "image/png", "size_bytes": 482113, "width": 1024, "height": 1024, "duration_ms": null } ] }, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "gpt-image-2", "prompt": "白い背景の上に置いた青い陶器の花瓶", "aspect_ratio": "1:1", "mode": "async" } } }}認証
認証の詳細
bearer
レスポンス
application/json
成功したジョブの成果物。result.artifacts の URL から各ファイルをダウンロードできます。
ヘッダー
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "COMPLETED", "result": { "artifacts": [ { "id": "artf_6f1d0c2b9a8e4f7d", "type": "image", "url": "https://media.orchestor.io/artifacts/artf_6f1d0c2b9a8e4f7d/image.png", "content_type": "image/png", "size_bytes": 482113, "width": 1024, "height": 1024, "duration_ms": null } ] }, "linked_resource": null, "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "image_generation", "status": "completed", "model": "gpt-image-2", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": "2026-11-06T00:00:00Z", "completed_at": "2026-11-06T00:00:00Z", "canceled_at": null, "result": { "artifacts": [ { "id": "artf_6f1d0c2b9a8e4f7d", "type": "image", "url": "https://media.orchestor.io/artifacts/artf_6f1d0c2b9a8e4f7d/image.png", "content_type": "image/png", "size_bytes": 482113, "width": 1024, "height": 1024, "duration_ms": null } ] }, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "gpt-image-2", "prompt": "白い背景の上に置いた青い陶器の花瓶", "aspect_ratio": "1:1", "mode": "async" } } }}